 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({

    /**
     * 页面的初始数据
     */
    data: {
        bankId      : '',  // 银行id
        type        : '',  // 类型
        bankData    : '',  // 银行卡编辑
        bankArr     : [],  // 银行列表
        bankIndex   : 0,   // 银行列表 index
        disabled    : false// 提交按钮
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            type  : options.type,
            bankId: options.id
        })
        if(options.type == 'Compile') {
            // 获取银行编辑信息
            this.bankEdit();
        }
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        // 获取银行列表
        this.bankInfo();
    },

    /**
     * 银行编辑信息
     */
    bankEdit() {
        wx.$api.bank.cardEdit(this.data.bankId).then(res => {
            let bankValue = res.data.banks.findIndex(val=> val.id == res.data.info.bank.id)
            this.setData({
                bankData : res.data.info,
                bankIndex: bankValue
            })
        }).catch(err => { })
    },

    /**
     * 银行机构列表
     */
    bankInfo() {
        wx.$api.bank.Creates().then(res => {
            this.setData({
                bankArr: res.data.banks
            })
        }).catch(err => { })
    },

    /**
     * 选择银行index
     */
    bankChange(e) {
        this.setData({
            bankIndex: e.detail.value
        })
    },

    /**
     * 表单提交
     */
    siteform(val) {
        let value = val.detail.value
        let data = {
            name        : value.name,
            mobile      : value.mobile,
            no          : value.no,
            branch_name : value.branch_name,
            bank_id     : this.data.bankArr[this.data.bankIndex].id
        }
        this.setData({
            disabled: true
        })

        // 入口为编辑
        if(this.data.type == 'Compile') {
            wx.$api.bank.Confirm(this.data.bankId, data).then(res => {
                wx.navigateBack()
            }).catch(() =>{
                this.setData({
                    disabled: false
                })
            })
            return
        }

        // 新增
        wx.$api.bank.cardBind(data).then(res => {
            wx.navigateBack()
        }).catch(() =>{
            this.setData({
                disabled: false
            })
        })
    }
})